Get balance collection
BetaAPI v2 is in public beta: endpoints, fields and behaviour can change before general availability. See the changelog
GET
/preorders/reports/balance_collection
const url = 'https://app.stoqapp.com/api/v2/external/preorders/reports/balance_collection?from=string&to=string&offer_id=string&offer_ids=string¤cy=string';const options = {method: 'GET', headers: {'X-Auth-Token': '<X-Auth-Token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.stoqapp.com/api/v2/external/preorders/reports/balance_collection?from=string&to=string&offer_id=string&offer_ids=string¤cy=string' \ --header 'X-Auth-Token: <X-Auth-Token>'Outstanding preorder balances and balance-collection performance metrics.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”from
Example
stringto
Example
stringoffer_id
Example
stringoffer_ids
Example
[ "string"]currency
Example
stringResponses
Section titled “Responses”Success — the requested resource.
Media typeapplication/json
object
Example generated
{}Missing or invalid X-Auth-Token.
Media typeapplication/json
Error envelope returned by every failed request.
object
errors
required
Array<string>
Example
{ "errors": [ "Unauthorized" ]}The request failed validation.
Media typeapplication/json
Error envelope returned by every failed request.
object
errors
required
Array<string>
Example
{ "errors": [ "name is required" ]}Rate limited — cost-weighted per token (read 1, write 2; 360 points / 60s). Check Retry-After.
Media typeapplication/json
Error envelope returned by every failed request.
object
errors
required
Array<string>
Example
{ "errors": [ "Rate limit exceeded" ]}Was this page helpful?
Thanks for letting us know.
Still stuck? Ask Quinn or chat with support